package cn.com.qmth.stmms.api.dto;

import cn.com.qmth.stmms.biz.user.model.User;

public class UserDTO {

    private Integer id;

    private String loginName;

    private String name;

    private String token;

    public UserDTO(User user) {
        setId(user.getId());
        setLoginName(user.getLoginName());
        setName(user.getName());
        setToken(user.getAccessToken());
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }
}
